Subject: bug#13333: 24.3.50; (emacs) `Minibuffer History'

From: Howard Melman <[email-masked]>
Date: Fri, 6 May 2022 10:54:14 -0400

> On May 6, 2022, at 9:57 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> Cc: [email-masked]
>> From: Howard Melman <[email-masked]>
>> Date: Fri, 6 May 2022 09:40:59 -0400
>> 
>>> Sure, makes sense.  Could you come up with a patch for this?
>> 
>> I'm sorry no, I don't build my own emacs, don't have the source, 
>> and haven't signed copyright over.  It should just be a couple
>> of @cindex calls in mini.texi
>> 
>> @cindex future history
>> @cindex minibuffer suggestions
> 
> That's not how good index entries are (or should be) added.  One needs
> to think of subjects potential readers will have in mind when they are
> looking for the indexed text.  With this in mind, I wonder who would
> think about "minibuffer suggestions" in conjunction with this
> material?  I wouldn't, because "minibuffer suggestions" tells nothing
> to me about what it alludes to.  "Suggestions" is not a good word to
> describe this feature.
> 
> As for "future history", if we want it, it should _replace_ the
> existing index entry, because they both lead to almost the same text,
> and it is not useful to have several index entries that begin with the
> same text and lead to the same page of the manual.

I disagree. I was responding to the previous comments in this bug
that:

> In most applications similar functionality is called "suggestions"

> "Future history" is cute and all, but it's not really helpful as a term -- 

> especially when "suggestions" is as clear as it is.

The original bug offered: "default input", "default input value" "default
minibuffer input" which I think are also good.

So while you might not think of "minibuffer suggestions" it seems others
would.  I would.

I'd mostly be fine with having these replace the existing index entries for:

@cindex future history for file names
@cindex minibuffer defaults for file names

but I would prefer they didn't.  Just because  they "begin with the same
text" doesn't mean they're useless.  They end with different text and when
one searches for "file name" in the index getting directed to either of 
these is quite useful.

TBH I think the text itself could be expanded a bit.  I'd like to see:

"Emacs tries fetching from a list of default arguments: values that you are 
likely to enter, typically text found near point."

Howard